Synaptic Package Manager does not recognize my password

Please complete our guideline for issue report or idea suggestion

If you are having an issue, please follow this

There are many kinds of issues: OS, software, server, … So you must know:

  • Server issues will be fixed after report and we verify the problem. There will be no update patch for you. It is server side.
  • 3rd party software / packages can’t be fixed by us. If we can spot the bug and have the fix, we will create merge request to original source and wait for their official version.
  • Life is hard. For bug/ issue, please make sure your topic is only one. Dont make developers be terrorists.
  • This is a rolling distro. Bugs and issues are expected. We recommend you have basic linux knowledge to deal with your system, so
    Usually we don’t support issues that user faces by using his system in a wrong way. If you are new to Linux, make sure you didn’t make any mistake:
  1. Basic Linux: http://linux-training.be/
  2. How to not break Debian system: DontBreakDebian - Debian Wiki or How NOT to Break your Debian System! | Average Linux User
  3. If you are having some questions, your answers might be in here: FAQsFromDebianUser - Debian Wiki
  4. Your issue might be solved before (StackOverflow is a temple), try this: https://www.searchenginejournal.com/search-engines/answering-questions/

1. Your Parrot information

  • OS version: run cat /etc/*release
    ```
    Copy output here
    DISTRIB_ID=Parrot
    DISTRIB_RELEASE=4.11
    DISTRIB_CODENAME=rolling
    DISTRIB_DESCRIPTION=“Parrot OS 4.11”
    PRETTY_NAME=“Parrot OS 4.11”
    NAME=“Parrot OS”
    ID=parrot
    ID_LIKE=debian
    VERSION=“4.11”
    VERSION_ID=“4.11”
    HOME_URL=“https://www.parrotsec.org/
    SUPPORT_URL=“https://community.parrotsec.org/
    BUG_REPORT_URL=“https://community.parrotsec.org/

  • Kernel version: run uname -a
    ```
    Copy output here
    Linux marlin 5.10.0-5parrot1-amd64 #1 SMP Debian 5.10.24-5parrot1 (2021-03-20) x86_64 GNU/Linux

Or if you can’t do it, please tell us ISO version you downloaded.

** ISO information **

Version: 4.9
Desktop Environment: Mate
Edition: Home

2. If you have this problem after fresh installation:

  1. How did you create USB bootable?

    • Software was used to make USB
    • Steps of making USB bootable

    downloaded iso, flash to usb drive with etcher

  2. How did you install OS?

    • Debian installer or Calamares installer?

    insert bootable usb drive,
    booted in LiveMode (“Install” could not find/mount the usb drive)
    from LiveMode clicked install icon
    entered my name dc
    entered user nemo
    entered computer name marlin
    selected delete drive
    added encrypt system pass phrase
    followed all prompts etc
    rebooted …installation was successful
    opened terminal typed sudo apt update then sudo parrot-upgrade …update and upgrade successful

3. If your hardware doesn’t work: wifi doesn’t show, graphic issue:

Hardware information

- Your device name or output of `lspci`
```
    Copy output here
    00:00.0 RAM memory: NVIDIA Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)

00:01.0 ISA bridge: NVIDIA Corporation MCP78S [GeForce 8200] LPC Bridge (rev a2)
00:01.1 SMBus: NVIDIA Corporation MCP78S [GeForce 8200] SMBus (rev a1)
00:01.2 RAM memory: NVIDIA Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:01.3 Co-processor: NVIDIA Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
00:01.4 RAM memory: NVIDIA Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:02.0 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:02.1 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:04.0 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:04.1 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:07.0 Audio device: NVIDIA Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
00:08.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:09.0 SATA controller: NVIDIA Corporation MCP78S [GeForce 8200] AHCI Controller (rev a2)
00:0a.0 Ethernet controller: NVIDIA Corporation MCP77 Ethernet (rev a2)
00:0b.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:10.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:12.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:13.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:14.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Link Control
01:05.0 FireWire (IEEE 1394): LSI Corporation FW322/323 [TrueFire] 1394a Controller (rev 70)
02:00.0 VGA compatible controller: NVIDIA Corporation C78 [GeForce 9100] (rev a2)

```
- Did you try searching info about this issue on search engine? Please write **No** or any URL to this issue bellow

 yes, not found anything specific to this

4. How did you get this error? Are there any steps to procedure it?

1. I installed this
2. I ran this new software
3. It shows me this or that

tried to open Synaptic Package Manager 
it asked for super user pw so i entered my passphrase 
did not work so tried my user pw 
did not reckognize pw 

...was able to install inkscape and krita with sudo apt install 
and that worked fine for both apps 

...also not sure if it is related but when i entered sudo apt for any of these processes ie update, or install ...it does ask for password but first displays this message:
 sudo: unable to resolve host marlin: Name or service not known
 
 ..not sure what that means but also, in case its relevant, when i run anonsurf start or stop from gui or cli it does change the ip and display message under tor etc but it always tells me it failed to kill dangerous applications so im not sure if it is working correctly. 

 I will post the anonsurf in a different topic too but not sure if its related to the problem im having with the "sudo:unable to resolve hostname..." and most importantly the synaptic package manager not letting me in. 

 Thank you in advance for any help you can offer with fixing this. 

5. Error log or screenshot

** Insert error log and screenshot here**

6. If you have any idea or suggestion about this issue please tell us

** Your information **

If you are having suggestion for our OS, please write it bellow

1. Current Parrot version and Parrot version you want it has

2. Its section and how it affects our system

  • Pentesting / Forensic / Malware hunting / Privacy protection / …
  • It is: AppArmor profile / software / system service / kernel module…
  • when user runs this / start that, it can do…

3. Any other information about this idea

Please fill or at least tell us something about the problem instead of just title :slight_smile:

Hi dmknght, thank you for your response. I did add alot of info answering the questions required before submitting topic. Were you able to see my answers?

1. Your Parrot information

  • OS version: run cat /etc/*release
Copy output here
DISTRIB_ID=Parrot
DISTRIB_RELEASE=4.11
DISTRIB_CODENAME=rolling
DISTRIB_DESCRIPTION=“Parrot OS 4.11”
PRETTY_NAME=“Parrot OS 4.11”
NAME=“Parrot OS”
ID=parrot
ID_LIKE=debian
VERSION=“4.11”
VERSION_ID=“4.11”
HOME_URL=“https://www.parrotsec.org/”
SUPPORT_URL=“https://community.parrotsec.org/”
BUG_REPORT_URL=“https://community.parrotsec.org/”
* Kernel version: run `uname -a`

Copy output here
Linux marlin 5.10.0-5parrot1-amd64 #1 SMP Debian 5.10.24-5parrot1 (2021-03-20) x86_64 GNU/Linux

Or if you can’t do it, please tell us ISO version you downloaded.

** ISO information **

Version: 4.9
Desktop Environment: Mate
Edition: Home

2. If you have this problem after fresh installation:

  1. How did you create USB bootable?
  • Software was used to make USB
  • Steps of making USB bootabledownloaded iso, flash to usb drive with etcher
  1. How did you install OS?
  • Debian installer or Calamares installer?insert bootable usb drive,
    booted in LiveMode (“Install” could not find/mount the usb drive)
    from LiveMode clicked install icon
    entered my name dc
    entered user nemo
    entered computer name marlin
    selected delete drive
    added encrypt system pass phrase
    followed all prompts etc
    rebooted …installation was successful
    opened terminal typed sudo apt update then sudo parrot-upgrade …update and upgrade successful

3. If your hardware doesn’t work: wifi doesn’t show, graphic issue:

Hardware information

- Your device name or output of `lspci`
Copy output here
00:00.0 RAM memory: NVIDIA Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)

00:01.0 ISA bridge: NVIDIA Corporation MCP78S [GeForce 8200] LPC Bridge (rev a2)
00:01.1 SMBus: NVIDIA Corporation MCP78S [GeForce 8200] SMBus (rev a1)
00:01.2 RAM memory: NVIDIA Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:01.3 Co-processor: NVIDIA Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
00:01.4 RAM memory: NVIDIA Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
00:02.0 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:02.1 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:04.0 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1)
00:04.1 USB controller: NVIDIA Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1)
00:07.0 Audio device: NVIDIA Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
00:08.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:09.0 SATA controller: NVIDIA Corporation MCP78S [GeForce 8200] AHCI Controller (rev a2)
00:0a.0 Ethernet controller: NVIDIA Corporation MCP77 Ethernet (rev a2)
00:0b.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:10.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:12.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1)
00:13.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:14.0 PCI bridge: NVIDIA Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 10h Processor Link Control
01:05.0 FireWire (IEEE 1394): LSI Corporation FW322/323 [TrueFire] 1394a Controller (rev 70)
02:00.0 VGA compatible controller: NVIDIA Corporation C78 [GeForce 9100] (rev a2)

- Did you try searching info about this issue on search engine? Please write **No** or any URL to this issue bellow

 yes, not found anything specific to this

4. How did you get this error? Are there any steps to procedure it?

1. I installed this
2. I ran this new software
3. It shows me this or that

tried to open Synaptic Package Manager 
it asked for super user pw so i entered my passphrase 
did not work so tried my user pw 
did not reckognize pw 

...was able to install inkscape and krita with sudo apt install 
and that worked fine for both apps 

...also not sure if it is related but when i entered sudo apt for any of these processes ie update, or install ...it does ask for password but first displays this message:
 sudo: unable to resolve host marlin: Name or service not known
 
 ..not sure what that means but also, in case its relevant, when i run anonsurf start or stop from gui or cli it does change the ip and display message under tor etc but it always tells me it failed to kill dangerous applications so im not sure if it is working correctly. 

 I will post the anonsurf in a different topic too but not sure if its related to the problem im having with the "sudo:unable to resolve hostname..." and most importantly the synaptic package manager not letting me in. 

 Thank you in advance for any help you can offer with fixing this. 

I also added the following in my original answers. Not sure if you saw it as it was not highlighted

insert bootable usb drive,
booted in LiveMode (“Install” could not find/mount the usb drive)
from LiveMode clicked install icon
entered my name dc
entered user nemo
entered computer name marlin
selected delete drive
added encrypt system pass phrase
followed all prompts etc
rebooted …installation was successful
opened terminal typed sudo apt update then sudo parrot-upgrade …update and upgrade successful

…the next thing I did after successful install, update, and upgrade … was try to open synaptic package manager…which would not accept either my root passphrase or user password

If you are having 4.11 fresh installation, the problem could be the polkit. We are still tracking the bug.

yes it is 4.11 I will watch for updates ty.